using System.Collections.Generic;
using AAIntegration.SimmonsBank.API.Services;

namespace AAIntegration.SimmonsBank.API.Entities;

public class Transaction
{
    public int Id { get; set; }
    public DateTime Date { get; set; }
    public DateTime CreatedOn { get; set; }
    public DateTime UpdatedOn { get; set; }
    public string ExternalId { get; set; }
    public string Description { get; set; }
    public Account? DebitAccount { get; set; }
    public Account? CreditAccount { get; set; }
    public decimal Amount { get; set; }
    public bool IsPending { get; set; }
}